Bulk Create Offer URLs
curl --request POST \
--url https://api.eflow.team/v1/networks/offerurls/bulk \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
[
{
"network_offer_id": 6,
"name": "Landing Page A",
"destination_url": "https://example.com/a?tid={transaction_id}",
"preview_url": "https://example.com/a",
"url_status": "active",
"is_apply_specific_affiliates": false,
"is_hidden_affiliate": false
},
{
"network_offer_id": 6,
"name": "Landing Page B",
"destination_url": "https://example.com/b?tid={transaction_id}",
"preview_url": "https://example.com/b",
"url_status": "active",
"is_apply_specific_affiliates": false,
"is_hidden_affiliate": false
}
]
'import requests
url = "https://api.eflow.team/v1/networks/offerurls/bulk"
payload = [
{
"network_offer_id": 6,
"name": "Landing Page A",
"destination_url": "https://example.com/a?tid={transaction_id}",
"preview_url": "https://example.com/a",
"url_status": "active",
"is_apply_specific_affiliates": False,
"is_hidden_affiliate": False
},
{
"network_offer_id": 6,
"name": "Landing Page B",
"destination_url": "https://example.com/b?tid={transaction_id}",
"preview_url": "https://example.com/b",
"url_status": "active",
"is_apply_specific_affiliates": False,
"is_hidden_affiliate": False
}
]
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
network_offer_id: 6,
name: 'Landing Page A',
destination_url: 'https://example.com/a?tid={transaction_id}',
preview_url: 'https://example.com/a',
url_status: 'active',
is_apply_specific_affiliates: false,
is_hidden_affiliate: false
},
{
network_offer_id: 6,
name: 'Landing Page B',
destination_url: 'https://example.com/b?tid={transaction_id}',
preview_url: 'https://example.com/b',
url_status: 'active',
is_apply_specific_affiliates: false,
is_hidden_affiliate: false
}
])
};
fetch('https://api.eflow.team/v1/networks/offerurls/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/offerurls/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'network_offer_id' => 6,
'name' => 'Landing Page A',
'destination_url' => 'https://example.com/a?tid={transaction_id}',
'preview_url' => 'https://example.com/a',
'url_status' => 'active',
'is_apply_specific_affiliates' => false,
'is_hidden_affiliate' => false
],
[
'network_offer_id' => 6,
'name' => 'Landing Page B',
'destination_url' => 'https://example.com/b?tid={transaction_id}',
'preview_url' => 'https://example.com/b',
'url_status' => 'active',
'is_apply_specific_affiliates' => false,
'is_hidden_affiliate' => false
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/offerurls/bulk"
payload := strings.NewReader("[\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page A\",\n \"destination_url\": \"https://example.com/a?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/a\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n },\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page B\",\n \"destination_url\": \"https://example.com/b?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/b\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/offerurls/bulk")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page A\",\n \"destination_url\": \"https://example.com/a?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/a\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n },\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page B\",\n \"destination_url\": \"https://example.com/b?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/b\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/offerurls/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page A\",\n \"destination_url\": \"https://example.com/a?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/a\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n },\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page B\",\n \"destination_url\": \"https://example.com/b?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/b\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n }\n]"
response = http.request(request)
puts response.read_body{
"urls": [
{
"network_offer_url_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>",
"destination_url": "<string>",
"preview_url": "<string>",
"url_status": "active",
"network_affiliate_ids": [
123
],
"is_apply_specific_affiliates": true,
"is_hidden_affiliate": true,
"time_created": 1734455015,
"time_saved": 1734455015,
"remote_offer_resource": {
"network_offer_id": 123,
"network_id": 123,
"resource_type": "<string>",
"remote_resource_id": "<string>",
"resource_id": 123,
"last_value_md5": "<string>",
"json_config": "<string>",
"json_data": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
}
}
]
}Offer URLs
Bulk Create Offer URLs
POST
/
networks
/
offerurls
/
bulk
Bulk Create Offer URLs
curl --request POST \
--url https://api.eflow.team/v1/networks/offerurls/bulk \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
[
{
"network_offer_id": 6,
"name": "Landing Page A",
"destination_url": "https://example.com/a?tid={transaction_id}",
"preview_url": "https://example.com/a",
"url_status": "active",
"is_apply_specific_affiliates": false,
"is_hidden_affiliate": false
},
{
"network_offer_id": 6,
"name": "Landing Page B",
"destination_url": "https://example.com/b?tid={transaction_id}",
"preview_url": "https://example.com/b",
"url_status": "active",
"is_apply_specific_affiliates": false,
"is_hidden_affiliate": false
}
]
'import requests
url = "https://api.eflow.team/v1/networks/offerurls/bulk"
payload = [
{
"network_offer_id": 6,
"name": "Landing Page A",
"destination_url": "https://example.com/a?tid={transaction_id}",
"preview_url": "https://example.com/a",
"url_status": "active",
"is_apply_specific_affiliates": False,
"is_hidden_affiliate": False
},
{
"network_offer_id": 6,
"name": "Landing Page B",
"destination_url": "https://example.com/b?tid={transaction_id}",
"preview_url": "https://example.com/b",
"url_status": "active",
"is_apply_specific_affiliates": False,
"is_hidden_affiliate": False
}
]
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
network_offer_id: 6,
name: 'Landing Page A',
destination_url: 'https://example.com/a?tid={transaction_id}',
preview_url: 'https://example.com/a',
url_status: 'active',
is_apply_specific_affiliates: false,
is_hidden_affiliate: false
},
{
network_offer_id: 6,
name: 'Landing Page B',
destination_url: 'https://example.com/b?tid={transaction_id}',
preview_url: 'https://example.com/b',
url_status: 'active',
is_apply_specific_affiliates: false,
is_hidden_affiliate: false
}
])
};
fetch('https://api.eflow.team/v1/networks/offerurls/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/offerurls/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'network_offer_id' => 6,
'name' => 'Landing Page A',
'destination_url' => 'https://example.com/a?tid={transaction_id}',
'preview_url' => 'https://example.com/a',
'url_status' => 'active',
'is_apply_specific_affiliates' => false,
'is_hidden_affiliate' => false
],
[
'network_offer_id' => 6,
'name' => 'Landing Page B',
'destination_url' => 'https://example.com/b?tid={transaction_id}',
'preview_url' => 'https://example.com/b',
'url_status' => 'active',
'is_apply_specific_affiliates' => false,
'is_hidden_affiliate' => false
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/offerurls/bulk"
payload := strings.NewReader("[\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page A\",\n \"destination_url\": \"https://example.com/a?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/a\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n },\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page B\",\n \"destination_url\": \"https://example.com/b?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/b\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/offerurls/bulk")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page A\",\n \"destination_url\": \"https://example.com/a?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/a\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n },\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page B\",\n \"destination_url\": \"https://example.com/b?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/b\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/offerurls/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page A\",\n \"destination_url\": \"https://example.com/a?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/a\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n },\n {\n \"network_offer_id\": 6,\n \"name\": \"Landing Page B\",\n \"destination_url\": \"https://example.com/b?tid={transaction_id}\",\n \"preview_url\": \"https://example.com/b\",\n \"url_status\": \"active\",\n \"is_apply_specific_affiliates\": false,\n \"is_hidden_affiliate\": false\n }\n]"
response = http.request(request)
puts response.read_body{
"urls": [
{
"network_offer_url_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>",
"destination_url": "<string>",
"preview_url": "<string>",
"url_status": "active",
"network_affiliate_ids": [
123
],
"is_apply_specific_affiliates": true,
"is_hidden_affiliate": true,
"time_created": 1734455015,
"time_saved": 1734455015,
"remote_offer_resource": {
"network_offer_id": 123,
"network_id": 123,
"resource_type": "<string>",
"remote_resource_id": "<string>",
"resource_id": 123,
"last_value_md5": "<string>",
"json_config": "<string>",
"json_data": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
}
}
]
}Create multiple offer URLs in a single request. The request body is an array of offer URL objects, each with the same fields as the Create Offer URL endpoint.
Authorizations
Body
application/json
Was this page helpful?
